Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.transaction.delete
Class TableReference

    java.lang.Object
      org.deegree.io.datastore.sql.transaction.delete.TableReference

     class TableReference

extends Object

Represents a reference from a table to another table. This corresponds to a `TableRelation` declaration in an annotated GML schema, but with unambigious direction: the source (from) table contains the foreign key.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`TableReference(TableRelation relation)` Creates a new `TableReference` instance from the given `TableRelation`.

Method Summary
`(package private) MappingField[]` | `getFkColumns()` Returns the columns that build the foreign key (in the 'from' table).
`(package private) String` | `getFromTable()` Returns the name of the 'from' table.
`(package private) MappingField[]` | `getKeyColumns()` Returns the columns that build the key (in the 'to' table).
`(package private) String` | `getToTable()` Returns the name of the 'to' table.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableReference

    TableReference(TableRelation relation)

  Creates a new `TableReference` instance from the given `TableRelation`.

  Parameters:
    `relation` -

Method Detail

### getFkColumns

    MappingField[] getFkColumns()

  Returns the columns that build the foreign key (in the 'from' table).

  Returns:
    the columns that build the foreign key (in the 'from' table)

### getFromTable

    String getFromTable()

  Returns the name of the 'from' table.

  Returns:
    the name of the 'from' table

### getKeyColumns

    MappingField[] getKeyColumns()

  Returns the columns that build the key (in the 'to' table).

  Returns:
    the columns that build the key (in the 'to' table)

### getToTable

    String getToTable()

  Returns the name of the 'to' table.

  Returns:
    the name of the 'to' table

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org